Subject: [Cfrg] New edition of safecurves draft

From: Watson Ladd <[email-masked]>
Date: Fri, 28 Mar 2014 14:12:26 -0400

Dear all,

I've decided to use the point formats that DJB's software does. There
are good arguments for them, and while alternatives are interesting,
I've not seen a clearly better one.

Given that Robert Ransom is working on a draft like RFC 6090 (but
correct) for these curves, I've shortened the formula section to
explain how to deal with cofactors alone, and kick bignum arithmetic
and algebraic background down the road. Signatures are a more complex
issue: Ed25519 style is probably the way to go, but it requires some
choices of hash functions.

Sincerely,
Watson Ladd